<script lang="ts" setup>
import { useStockStore } from "@/stores/stock";
import { ref } from "vue";
import type { VForm } from "vuetify/components";
const form = ref<VForm | null>(null);
const stockStore = useStockStore();
async function save() {
  const { valid } = await form.value!.validate();
  if (valid) {
    await stockStore.saveStock();
  }
}
</script>
<template>
  <v-dialog v-model="stockStore.dialog" persistent width="1024">
    <v-card color="#EDEADE">
      <v-row class="justify-center">
            <v-card class="pa-5 ma-2 text-h4 text-center" width="100%" height="80px" color="#1C6758"
              style="color: white"><label>สต๊อก</label>
            </v-card>
        </v-row>
      <v-card-text>
        <v-form ref="form">
          <v-container>
            <v-row>
              <v-col cols="12">
                <v-text-field
                  label="Name*"
                  required
                  v-model="stockStore.editedStock.name"
                  :rules="[
                    (v) => !!v || 'Name is required',
                  ]"
                ></v-text-field>
              </v-col>
              <v-col cols="12">
                <v-text-field
                  label="Minimum*"
                  required
                  v-model="stockStore.editedStock.minimum"
                  :rules="[
                    (v) => !!v || 'Minimum is required',
                  ]"
                ></v-text-field>
              </v-col>
              <!-- <v-col cols="12">
                <v-text-field
                  label="Remaining*"
                  required
                  v-model="stockStore.editedStock.remaining"
                  :rules="[
                    (v) => !!v || 'Remaining is required',
                  ]"
                ></v-text-field>
              </v-col> -->
              <v-col cols="12">
                <v-text-field
                  label="Unit*"
                  required
                  v-model="stockStore.editedStock.unit"
                  :rules="[
                    (v) => !!v || 'Unit is required',
                  ]"
                ></v-text-field>
              </v-col>
              <!-- <v-col cols="12">
                <v-text-field
                  label="Price*"
                  required
                  v-model="stockStore.editedStock.price"
                  :rules="[
                    (v) => !!v || 'Price is required',
                  ]"
                ></v-text-field>
              </v-col> -->
            </v-row>
          </v-container>
        </v-form>
        <small>*indicates required field</small>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn size="x-large" class="btngr" @click="stockStore.dialog = false">Close</v-btn>
        <v-btn size="x-large" class="btng" @click="save"> Save </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>
<style scoped>
  @import url("https://fonts.googleapis.com/css2?family=Noto+Sans+Thai:wght@100&display=swap");
  label {
    font-family: "Noto Sans Thai", sans-serif;
    font-weight: bold;
    font-size: 28px !important;
  }
  /* .dialog {
    font-family: "Noto Sans Thai", sans-serif;
    font-weight: bold !important;
    font-size: 18px !important;
  } */
  .btng {
    font-family: "Noto Sans Thai", sans-serif;
    font-weight: bold;
    background-color: #9BCB3C;
    width: 80px;
}

.btngr {
    font-family: "Noto Sans Thai", sans-serif;
    font-weight: bold;
    background-color: #C0C0C0;
    width: 80px;
}

th {
  font-family: "Noto Sans Thai", sans-serif;
  font-size: 20px !important;
  text-align: center;
  font-weight: bold !important;
}

td {
  font-family: "Noto Sans Thai", sans-serif;
  font-size: 16px !important;
  font-weight: bold;
  text-align: center;
}

#table {
  border-collapse: collapse;
  width: 100%;
}

#table td,
#table th {
  padding: 10px;
  text-align: center;
}

#table th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: center;
  background-color: #1c6758;
  color: white;

}

#table tr {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: #EDEADE;
  color: black;
}
</style>
